#! /usr/bin/python2
import time
import sys
import threading
import RPi.GPIO as GPIO
from hx711 import HX711


class WeightSensor(threading.Thread):

    def __init__(self):
        threading.Thread.__init__(self)

        self.referenceUnit = 128

        self.hx = HX711(5, 6)

        self.hx.set_reading_format("MSB", "MSB")
        self.hx.set_reference_unit(self.referenceUnit)
        self.hx.reset()
        self.hx.tare()
        # to use both channels, you'll need to tare them both
        # hx.tare_A()
        # hx.tare_B()
        print("Tare done! Add weight now...")

    def run(self):
        while True:
            try:
                val = self.hx.get_weight(5)

                if (val > 300):
                    print(val)

                self.hx.power_down()
                self.hx.power_up()
                time.sleep(0.1)
            except (KeyboardInterrupt, SystemExit):
                self.cleanAndExit()

    def cleanAndExit():
        print("Cleaning...")
        GPIO.cleanup()
        print("Bye!")
        sys.exit()
